summaryrefslogtreecommitdiffstats
path: root/graphics/feh/feh.SlackBuild
diff options
context:
space:
mode:
author Hunter Sezen2018-12-28 23:31:48 +0100
committer Willy Sudiarto Raharjo2018-12-28 23:31:48 +0100
commit2f4162df14c644928838c2ffd74c9f16211c4340 (patch)
tree4077c190d456e09886d5cf9670db2c3c1dfb3ee6 /graphics/feh/feh.SlackBuild
parent123d07af08192574a79bcb560e7d9b3f585f8e02 (diff)
downloadslackbuilds-2f4162df14c644928838c2ffd74c9f16211c4340.tar.gz
graphics/feh: Updated for version 3.1.1.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics/feh/feh.SlackBuild')
-rw-r--r--graphics/feh/feh.SlackBuild7
1 files changed, 4 insertions, 3 deletions
diff --git a/graphics/feh/feh.SlackBuild b/graphics/feh/feh.SlackBuild
index acc33382f9..234c874c9b 100644
--- a/graphics/feh/feh.SlackBuild
+++ b/graphics/feh/feh.SlackBuild
@@ -24,7 +24,7 @@
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=feh
-VERSION=${VERSION:-2.28.1}
+VERSION=${VERSION:-3.1.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -73,6 +73,7 @@ find -L . \
CFLAGS="$SLKCFLAGS" \
make \
PREFIX=/usr
+
make install \
DESTDIR=$PKG \
PREFIX=/usr \
@@ -80,8 +81,8 @@ make install \
doc_dir=$PKG/usr/doc/$PRGNAM-$VERSION \
example_dir=$PKG/usr/doc/$PRGNAM-$VERSION/examples
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done